Block Card API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Block Card API enables the blocking of a card. Following are the types of card blocks.

Block TypeDescription
TemporaryCard will be temporarily blocked (No transactions will be permitted).
PermanentCard is permanently blocked which will categorize as lost/stolen/damaged.
CustomCard will be custom-blocked (partial transactions will be allowed).
DebitAll debits from the card will be blocked (except system debits).
CreditAll credits to the card will be blocked (except system credits)

Environment

Sandboxhttps://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v3/block
ProductionContact your WIBMO KAM or support.
Sample request
curl --request PATCH \
     --url https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v3/block \
     --header 'X-Consumer-Custom-ID: F42BC4E7B801C834B630DE498473533F' \
     --header 'bankId: 6060' \
     --header 'clientId: 1060' \
     --header 'content-type: application/json' \
     --header 'entityId: 100' \
     --header 'secureCode: pu8gSMLNE7pNv36IlUmstU' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "token": "/kC+jhu5B91FB0lvI51J+7dNt4mFhdgKhSijAlvZ22UzYRrRxAoCckmL9tsmo7vG3ZVqjSS0LJycwWbdF8dD4TpTLJuedn9QTA4Jm4E02QQ+mDOBQAkvJQyE+PLxB8VYhSEOdx4nNU7Fj2j75xwLyCLgbVe+icbHRL669BIMV8R7pzE6zbKTinSYkPJuMpsbKYnh9Llbld/Usis6URQPHx9WITE7y3llxTHKZnICHrTloDmuHfAhaG3enAYXP7WyMePLGQZw97QPKb/6eRzVukwNuUwBnLGUV9xkDUOwsyGLRyy+scTizhRrPaI8QTL4sVeAgJcEnjoo+p6pqASteDUaPlYxCpDYmGOGaVNheUFsTOxqN0VTOrYoG1kkE1oibg+bY9eb6jujWJNX3KXwa45z0LH8dzQA8etW+8ZHTayYFYumW72Fx3+96tzMNusK"
}
'
Response parameters (Decrypted)

This API will provide a token in the response that must be decrypted using the Decrypt API. The decrypted response is similar to the following:

AttributeTypeParameter RequirementDescription
messageCodeNumeric(4)MandatoryAPI Unique IDentifier.
clientTxnIdString(100)MandatoryValue echoed from the request.
urnNumeric(11)MandatoryValue echoed from the request.
customerIdString(20)MandatoryValue echoed from the request.
accosaTransactionIdNumeric(10)MandatoryUnique ID for a particular transaction generated in Prepaid
descriptionString(100)OptionalReserved field to send information to client.
accosaRefNoNumeric(20)MandatoryAuto-generated sequence number.
Sample response (Decrypted)
{ 
    "urn": 1000000, 
    "customerId": "62508sree0061", 
    "description": "[RESERVE_1]", 
    "responseCode": "00", 
    "messageCode": 1241, 
    "clientTxnId": "BLOCK_JM_aax11LrjoCV-f34", 
    "clientId": "2030", 
    "responseDateTime": "20230615234800", 
    "responseMessage": "SUCCESS", 
    "bankId": 7030, 
    "accosaRefNo": "52" 
}
Error codes
Error CodeDescription
00SUCCESS
1001CARD NOT FOUND
1009CARD CANCELLED CLOSED EXPIRED
1010CARD TEMPORARY BLOCK
1011CARD PERMANENT BLOCK
1012CARD PENDING CANCELLATION
1030INVALID MESSAGE
1034INVALID_MOBILE_NUMBER
1045UNABLE TO PROCESS REQUEST
1054DUPLICATE REQUEST
1084URN AND CUSTOMER ID MISMATCH
1112INVALID BLOCK TYPE
1117CARD DEBIT BLOCK
1118CARD CREDIT BLOCK
1121CARD CREDIT DEBIT BLOCK
1131CARD CUSTOM BLOCK
1231DATA_NOT_FOUND
1237DUPLICATE_PHONE_NUMBER_WITH_MULTIPLE_ACCOUNT
1356CARD_NOT_ACTIVE
1366PROGRAM IS INACTIVE
1367PROGRAM NOT FOUND
5002BLOCK_TYPE_IS_MANDATORY

Request parameters

Body Params
string
required

This parameter must contain the token generated using the Encrypt API.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This parameter must contain the Unique ID for the client shared by Wibmo.

integer
required

This parameter must contain the bank ID. Include 6060 for PayU.

integer
required

This parameter must contain the child corporate/branch entity ID under the client. This will be generated from the CMS. The default value is 100.

string
required

This parameter must contain the secure code that uniquely identifies the client on payload level for performing operations. Secure code will be shared by Wibmo separately.

string
required

This parameter must contain the unique consumer ID provided by the vendor for which bill is being paid or recharged.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!